/********************************************************************
 * Copyright © 2004 EDS. All rights reserved
 ********************************************************************/

/*
 * Created on Jan 27, 2005
 *
 */
package gov.va.med.esr.common.report;

// Java classes

// Library classes
import junit.framework.Test;
import junit.framework.TestSuite;
import org.apache.commons.lang.ClassUtils;

// Framework classes

// EDB Classes

/**
 * @author Vu Le
 * @version 1.0
 */
public class ReportTestSuite {

	public static Test suite() {
		TestSuite suite = new TestSuite( "Test for " + ClassUtils.getPackageName( ReportTestSuite.class ) );
		//$JUnit-BEGIN$
		suite.addTestSuite( BadAddressReportTest.class);
		suite.addTestSuite( MSTStatusReportTest.class);
		suite.addTestSuite( UndeliverableMailReportTest.class);
		suite.addTestSuite( CancelledDeclinedReportTest.class);
		//$JUnit-END$
		return suite;
	}
}
